Train Text
curl --request POST \
--url https://rag-prod.studio.lyzr.ai/v3/train/text/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"data": [
{
"text": "string",
"source": "string",
"extra_info": {}
}
],
"chunk_size": 1000,
"chunk_overlap": 100
}
'import requests
url = "https://rag-prod.studio.lyzr.ai/v3/train/text/"
payload = {
"data": [
{
"text": "string",
"source": "string",
"extra_info": {}
}
],
"chunk_size": 1000,
"chunk_overlap": 100
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [{text: 'string', source: 'string', extra_info: {}}],
chunk_size: 1000,
chunk_overlap: 100
})
};
fetch('https://rag-prod.studio.lyzr.ai/v3/train/text/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Training Error: '123443' is not a valid ObjectId, it must be a 12-byte input or a 24-character hex string"
}API Reference
Train Text
Process raw text data and use it to train the specified RAG system.
POST
/
train
/
text
/
Train Text
Authorizations
Query Parameters
The ID of the RAG system to train (must be a 24-character hex string).
Example:
"654c602a46c3b6d4e28741b0"
Body
application/json
Response
Text successfully processed and RAG system trained.
Placeholder for a success message or job ID.
⌘I